SSH-PUBKEYMGR(1)

NAME
ssh-pubkeymgr - sets up public key authentication for users

SYNOPSIS
ssh-pubkeymgr [-k key-pair name]

DESCRIPTION

If you have ever dealt with the fun part of creating the user files for public-key authentication, this script is designed to make it far less painful. ssh-pubkeymgr creates the user files needed to use public-key authentication with ssh2. The first thing it does is to check for your public keys. If it does not find them, ssh-pubkeymgr runs ssh-keygen2 ssh-agent2 later on to store your keys in memory. After this, ssh-pubkeymgr will create your identification and authorization files if it does not find them in your ~/.ssh directory.

After all the files have been created, ssh-pubkeymgr provides an interface that can upload your user public key to a remote host using scp2.

Using the same interface, you can download host keys from the desired hosts using scp2 as well.

Note: All the files ssh-pubkeymgr manipulates are located in the ~/.ssh2 directory.

OPTIONS

-k keypair
    Use the key-pair name defined by the user instead of the default ( id_dsa_1024_a ). Note that the private key defaults to id_dsa_1024_a and the public key defaults to id_dsa_1024_a.pub. Since the identification file uses the name of the private key, this is the option used in ssh-pubkeymgr.

-h  Prints out a small usage summary.

FILES

$HOME/.ssh2/authorization
    Contains the names of the host public keys that are allowed to authenticate to this account.

$HOME/.ssh2/id_dsa_1024_a
    The default DSA private key for the user.

$HOME/.ssh2/id_dsa_1024_a.pub
    The default DSA public key for the user.

$HOME/.ssh2/identification
    Contains names of the private keys that are to be used in authentication. See ssh2(1) for more information.

AUTHORS

SSH Communications Security Corp For more information, see http://www.ssh.com.

SEE ALSO
ssh-agent2(1), ssh-keygen2(1), ssh2(1), scp2(1), sshd2(8)